<% content_for :title, "Ostatnio dodane mailingi" %>

<ul class="timeline">
<% prev_date = nil %>
	<% @mailings.each do |mailing| %>
	<% if prev_date != mailing.created_at.strftime("%d-%m-%Y") %>
	<li class="time-label"><span class="bg-red"><%= mailing.created_at.strftime("%d-%m-%Y") %></span></li>
	<% end %>
	<% prev_date = mailing.created_at.strftime("%d-%m-%Y r.") %>

	<li>
		<i class="fa fa-envelope bg-blue"></i>
		<div class="timeline-item">
			<span class="time"><i class="fa fa-clock-o"></i> <%= mailing.created_at.strftime("%d-%m-%Y r.")  %> (<%= time_ago_in_words(mailing.created_at) %> temu)</span>
			<h3 class="timeline-header"><%= link_to mailing.name, mailing %></h3>
			<div class="timeline-body">
				<p class="small text-muted">
					<span>zlecający: <%= link_to mailing.author_id.name, mailing.author_id %></span>
					<% unless mailing.send_date.nil? %>
						<br />
						<span>planowana data wysyłki: <b><%= localize mailing.send_date, :format => '%A' %>, <%= mailing.send_date %></b></span>
					<% end %>
				</p>
				<p>
			        <% mailing.mailing_groups.each do |group| %>
		              <span class="badge bg-green">
		                <%= group.subject_group.name unless group.subject_group.nil? %>
		                <%= "| " + group.level_group.name unless group.level_group.nil? %>
		                <%= "| " + group.other_group.name unless group.other_group.nil? %>
		              </span> 
		            <% end %>
			    </p>
				<p><%= raw mailing.description %></p>

			</div>
			<div class="timeline-footer"><%= link_to 'Pokaż', mailing, class: "btn btn-primary btn-xs" %></div>
		</div>
	</li>
	<% end %>
</ul>